import jp.co.cam.usax.appl.domain.DomainHandler;
import jp.co.cam.usax.bmc.BMCIF;
import jp.co.hogehoge.bmc.SampleBMC;


/**
 * [他Frameworkとの連携]Transaction APIを直接実行。
 */
public class TestRun
{
    /**
     * main。
     * @param  args パラメータ[]{"ユーザーID", "パスワード"}
     */
    public static void main(String[] args)
    {
    	// jdbc/default.xmlの読込み
        try (final DomainHandler trax = DomainHandler.getMyInstance("default"))
        {
            trax.begin(); // Transaction-begin

            // BMC:サンプル
            final BMCIF bmc = new SampleBMC();

            // データ移送
            bmc.setString("CODE", "12345");

            // 実行
            if (bmc.run()) {
            	trax.commit(); // Transaction-commit
            } else {
            	trax.cancel(); // Transaction-cancel
            }

        } catch (final Exception ex) {
            ex.printStackTrace();
        }
    }
}
